#!/bin/bash
dir=$1 # 20C_1969
sce=$2 # 20C

year=`echo $dir | awk -F_ '{print $2}'`
lst=`ls -al $dir/EH5_OM_${sce}_1_* | grep -v "SLM" | awk '{print $5":"$9}'`
range=`ls ../$2/EH5_OM_$2_1_U10M_* | awk -F_ '{print $6}' | awk -F. '{print $1}'`

k=0
for i in $lst
do
  k1=$((k1+1))
  size=`echo $i | awk -F: '{print $1}'`
  file=`echo $i | awk -F: '{print $2}'`

  if [ "`echo $file | awk -F_ '{print $6}'`" = "TSOIL" ]; then
     mfile=`echo $file | awk -F/ '{print $2}' | awk -F_ '{print $1"_"$2"_"$3"_"$4"_"$5"_"$6}'`
     i1=`echo $file | awk -F_ '{print $8}' | awk -F- '{print $1}'` 
     i2=`echo $file | awk -F_ '{print $8}' | awk -F- '{print $2}' | awk -F. '{print $1}'`
  else
     mfile=`echo $file | awk -F/ '{print $2}' | awk -F_ '{print $1"_"$2"_"$3"_"$4"_"$5}'`
     i1=`echo $file | awk -F_ '{print $7}' | awk -F- '{print $1}'` 
     i2=`echo $file | awk -F_ '{print $7}' | awk -F- '{print $2}' | awk -F. '{print $1}'`
  fi

  #echo "-----"
  #echo $mfile
  #echo $i1
  #echo $i2

  if [ $size -ne "53944080" ] && [ $size -ne "54091872" ]; then
     echo ">> grb selrec,$i1,$i2 /SFS/users/turuncu/TRCCS/ECHAM/$sce/${mfile}_${range}.grb $file" 
     grb selrec,$i1,$i2 /SFS/users/turuncu/TRCCS/ECHAM/$sce/${mfile}_${range}.grb $file
  else
     echo ">> ok [$k1]"
  fi
done

if [ -e "$dir/EH5_OM_${sce}_1_SLM_$i1-$i2.grb" ]; then 
   echo ">> SLM File Exist !!"
else
   echo ">> SLM File Creating .."
   ./cons2t.sh $sce $year-01-01 00:00 6hour $year $i1 $i2 SLM
fi

